int.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Macros

#define | GECODE_INT_RL2PD(r)
#define | GECODE_INT_PD2RL(p)

## Macro Definition Documentation

## GECODE_INT_RL2PD

#define GECODE_INT_RL2PD | ( |  | r | ) |

Value:
reinterpret_cast<ptrdiff_t>(r)

Definition at line 45 of file int.hpp.

## GECODE_INT_PD2RL

#define GECODE_INT_PD2RL | ( |  | p | ) |

Value:
reinterpret_cast<RangeList*>(p)

Definition at line 46 of file int.hpp.